Bug 108147 - slideshow interval below 1 second
Summary: slideshow interval below 1 second
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-Presentation (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-26 04:27 UTC by Benjamin Schallar
Modified: 2018-03-23 21:03 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Schallar 2005-06-26 04:27:35 UTC
Version:           0.1.1 (using KDE KDE 3.4.1)
Installed from:    Unlisted Binary Package
Compiler:          gcc version 3.3.6 (Debian 1:3.3.6-5)
OS:                Linux (i686) release 2.6.11

Althought the option "delay between images (ms)" suggests it is possible to use values below 1000ms / 1 second, it isn't. "slideshow" defaults/resets to one second.

Would it be possible to allow values below one second?

Thanks!

PS: I'm currently looking into the sourcecode whether or not I couldn't do that myself. More on that in aprox. 12hrs :)
Comment 1 Benjamin Schallar 2005-06-26 04:48:02 UTC
I think I found what I was looking for:

slideshow.cpp, line 106: "delay_ = QMAX(delay, 300); // at least have 0.3 second delay"
slideshow.cpp, line 172: "delaySpinBox_ = new QSpinBox( 1000, 10000, 10, page );"
slideshowgl.cpp, line 96: "delay_ = QMAX(delay, 1000);   // at least have 1 second delay"

Although this might be a solution, I will test my changes first and try contacting the authors why they inserted those "qmax" values (I'm sure there must've been a reason for this.)

Testing and emails after I got some sleep...

Regards,
Benjamin
Comment 2 Benjamin Schallar 2005-06-26 15:14:38 UTC
As far as I can tell, it works fine for the "normal" (i.e. non-openGL) slideshow, but doesn't work out (at least with my radeon mobility 7500) using the openGL slideshow.

So my patch (which I currently only tried using [0] with the packages from [1], see [2] for more on that) will only include the following changes:

slideshow.cpp, line 106:
- "delay_ = QMAX(delay, 300); // at least have 0.3 second delay"
+ "delay_ = QMAX(delay, 100); // at least have 0.1 second delay"

slideshow.cpp, line 172:
- "delaySpinBox_ = new QSpinBox( 1000, 10000, 10, page );"
+ "delaySpinBox_ = new QSpinBox( 100, 10000, 10, page );"

Anything below 1/10th second eludes my rationale, but I will test it and post results for that here as well, although it won't be included in my proposed patch.

Regards,
Benjamin


[0] http://familiasanchez.net/~sanchezr/?page=debcustomize
[1] http://pkg-kde.alioth.debian.org/kde-3.4.1/
[2] http://pkg-kde.alioth.debian.org/docs/
Comment 3 Valerio Fuoglio 2006-12-14 00:18:07 UTC
SVN commit 613541 by vfuoglio:

Now slideshow interval can be set below 1000 ms (min 100 ms).

CCMAIL: kde-imaging@kde.org
BUG: 108147




 M  +4 -1      slideshowconfigbase.ui  


--- trunk/extragear/libs/kipi-plugins/slideshow/slideshowconfigbase.ui #613540:613541
@@ -511,11 +511,14 @@
                                                     <number>10000</number>
                                                 </property>
                                                 <property name="minValue">
-                                                    <number>1000</number>
+                                                    <number>100</number>
                                                 </property>
                                                 <property name="lineStep">
                                                     <number>10</number>
                                                 </property>
+                                                <property name="value">
+                                                    <number>1000</number>
+                                                </property>
                                             </widget>
                                         </hbox>
                                     </widget>
Comment 4 caulier.gilles 2006-12-14 07:58:56 UTC
Valerio,

please unforget to put your B.K.O file title fixed into NEWS file list to simplify future release announces. Thanks in advance...

Gilles
Comment 5 Valerio Fuoglio 2006-12-15 00:12:57 UTC
Thanks Gilles, I will take care. :)

Valerio
Comment 6 Benjamin Schallar 2007-11-05 11:44:46 UTC
Thanks for fixing! :-)